#include <iostream>
#include <cmath>
#include <stdio.h>
#include <stdlib.h>
using namespace std;


int main() {
  int niz[27];
  int i,v,br=0,s=0,stepen,jed,baza=10,br2;   
  cin>>v;
  
  if(v<10)
  {
  	for(i=1;i<10;i++)
  	{
  		if(v==i && i==1)
  		br=1;
  		if(v==i && i==2)
  		br=1;
  		if(v==i && i==3)
  		br=2;
  		if(v==i && i==4)
  		br=2;
  		if(v==i && i==5)
  		br=1;
  		if(v==i && i==6)
  		br=2;
  		if(v==i && i==7)
  		br=2;
  		if(v==i && i==8)
  		br=3;
  		if(v==i && i==9)
  		br=3;	
  	}
  	 cout<<br;
  }
 else
 {
 
  
  for(i=0;i<27;i+=3)
  {	
  	stepen=pow(10,s);
  	niz[i]=stepen*1;
    s++;
   
}
s=0;
for(i=1;i<27;i+=3)
  {	
  	stepen=pow(10,s);
  	niz[i]=stepen*2;
    s++;
   
}
s=0;
for(i=2;i<27;i+=3)
  {	
  	stepen=pow(10,s);
  	niz[i]=stepen*5;
    s++;
    
}
for(i=0;i<27;i++)
  {	
  if(v==0)
  {
  	break;
  }
    if(v<niz[i])
    {
    	
    	br=v/niz[i-1];
    	v=v-niz[i-1]*br;
    	br2=br2+br;
    	i=0;
    	
	}
}
cout<<br2;
}
   return 0;
}